#!/bin/bash
#Synchronisierung webapp zum Zielserver
#Benutzer Variablen:
#REMOTE_HOST ->Ziel-Hostname
#REMOTE_USER ->Ziel-Benutzerkennung
#REMOTE_DIR -> Zielpfad

#TODO: in LOCAL_DIR gelöschte Dateien werden nicht im REMOTE_DIR gelöscht 
#TODO: webapps Ordner bei SuperX Platform
if [ "$LOCAL_DIR" = ""  ]
	then
		LOCAL_DIR=`pwd`
fi



if [ "$REMOTE_HOST" = ""  ]
	then
		rsync -L -rauvz --delete --include="*/" --include-from=includes.txt.sam --exclude="*"  $LOCAL_DIR/WEB-INF/conf/edustore/db/* $REMOTE_DIR/db
	else
		rsync -L -rauvz --delete --include="*/" --include-from=includes.txt.sam --exclude="*" -e ssh $LOCAL_DIR/WEB-INF/conf/edustore/db/* "$REMOTE_USER"@"$REMOTE_HOST":$REMOTE_DIR/db
fi

